package _02_作业;

public class Test2 {
    public static void main(String[] args) {
        /**
         * 需求：
         * ​ 给定两个整数，被除数dividend和除数divisor（都是正数，且不超过int的范围） 。
         * ​ 将两数相除，要求不使用乘法、除法和 % 运算符。
         * ​ 得到商和余数。
         */
        //定义被除数
        int  dividend = 10;
        //定义除数
        int divisor = 3;
        // 定义商
        int quotient = 0;
        // 定义余数
        int remainder = dividend;

        while (remainder >= divisor){
            // 10 余数 - 3 除数
            remainder = remainder - divisor;
            // 商加1
            quotient++;
        }
        System.out.println("余数为:"+ remainder);
        System.out.println("商为:"+ quotient);
    }
}
